

; ***** ANFANG Initialisierung der Hardware *****


; Anfangsinitialisierung der Perepheriebausteine
;
LINIT:	LD	HL,LINITAB	;Adresse der Initialisierungs-
				;tabelle
	LD	B,1*(LINITAE-LINITAB)/2	;laenge der Initialisierungst.
	;
LINIT1:	LD	C,(HL)		;laden der neuen Geraeteadresse
	INC	HL		;naechstes Ausgabebyte
	OUTI			;Ausgabe von (HL) an Adresse C
				;danach: HL+1 , B-1
	JR	NZ,LINIT1
	;
	RET	


LINITAB:	

	;Initialisierungstabelle
	; Interruptsperre fuer alle Perepheriebausteine

	DB	PIO1AC		;PIO 1 A
	DB	3
	;
	DB	PIO1BC		;PIO 1 B
	DB	3
	;
	DB	PIO2AC		;PIO 2 A
	DB	3
	;
	DB	PIO2BC		;PIO 2 B
	DB	3
	;


	; Initialisierung der Betriebsarten der PIO's

	; --- Initialisierung der PIO1 Port A

	; vor dem Freischalten der Ausgaenge wird das Ausgaberegister fuer
	; die Daten definiert gesetzt
	; Port A - Daten alles 0
	DB	D_ITPDA_PORT
	DB	D_ITPDA_IW
	;
	; MODE3 Bitbetrieb (Maske folgt)
	DB	C_ITPDA_PORT
	DB	0CFH
	;
	; Maske fuer Bitbetrieb Port A (Daten - alles Eingaenge)
	DB	C_ITPDA_PORT
	DB	C_ITPDA_IW
	;


	; --- Initialisierung der PIO1 Port B
	;
	; vor dem Freischalten der Ausgaenge wird das Ausgaberegister fuer
	; die Daten definiert gesetzt
	DB	D_SYS1_PORT
	DB	D_SYS1_IW

	; MODE3 Bitbetrieb (Maske folgt)
	DB	C_SYS1_PORT
	DB	0CFH

	; Maske fr SYS1-Port
	DB	C_SYS1_PORT
	DB	C_SYS1_IW

	; Setzen des Ausgaberegister -> definierter Pegel fuer die Steuerleitungen
	DB	D_SYS1_PORT
	DB	D_SYS2_IW


	; --- Initialisierung der PIO2 Port A
	;
	; vor dem Freischalten der Ausgaenge wird das Ausgaberegister fuer
	; die Daten definiert gesetzt
	DB	D_SYS2_PORT
	DB	D_SYS2_IW
	;
	; MODE3 Bitbetrieb (Maske folgt)
	DB	C_SYS2_PORT
	DB	0CFH
	;
	; Maske fr SYS2-Port
	DB	C_SYS2_PORT
	DB	C_SYS2_IW
	;
	; Setzen des Ausgaberegister -> definierter Pegel fuer die Steuerleitungen
	DB	D_SYS2_PORT
	DB	D_SYS2_IW
	;
	; --- Initialisierung der PIO2 Port B
	;
	; MODE3 Bitbetrieb (Maske folgt)
	DB	C_ITP_CON1
	DB	0CFH
	;
	; Maske fuer Bitbetrieb Port A (Daten - alles Eingaenge)
	DB	C_ITP_CON1
	DB	C_ITP_IW
	;


LINITAE:	
;


; ***** ENDE Initialisierung der Hardware *****


